Bug 1544571 - Provide an automated way to update environments to use new script-based nic templates
Summary: Provide an automated way to update environments to use new script-based nic t...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-tripleo-heat-templates
Version: 13.0 (Queens)
Hardware: Unspecified
OS: Unspecified
high
urgent
Target Milestone: beta
: 13.0 (Queens)
Assignee: Bob Fournier
QA Contact: Alexander Chuzhoy
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-02-12 23:02 UTC by Marius Cornea
Modified: 2018-06-27 13:45 UTC (History)
10 users (show)

Fixed In Version: openstack-tripleo-heat-templates-8.0.0-0.20180326192239.e59fd2c.el7ost
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-06-27 13:44:34 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Launchpad 1753812 None None None 2018-03-06 21:19:46 UTC
OpenStack gerrit 554521 None MERGED Add check for old-style nic config files 2020-07-30 00:12:09 UTC
Red Hat Product Errata RHEA-2018:2086 None None None 2018-06-27 13:45:18 UTC

Description Marius Cornea 2018-02-12 23:02:16 UTC
Description of problem:

In OSP13, deployments using old style nic templates with os-apply-config are not supported anymore and the nic templates are required to use the new script-based method of running os-net-config. This poses a major issue for environments which come from an upgrade path as they have been initially deployed with the old style nic templates. 

In order to overcome this issue we need an automated way to:

1. migrate existing nic templates to the new script-based method
2. update the environments to use the newly generated nic templates in order for any post-upgrade scale out operation to be able to succeed.

Comment 3 Bob Fournier 2018-02-28 21:28:43 UTC
Plan is to:
1) Add a validation check in tools/validation_yaml.py for old style nic config and flag an error
2) Add a new conversion script that can convert the old style nic to new style and reference that in error message in #1
3) Add a note in documentation that describes new format for files (see https://bugzilla.redhat.com/show_bug.cgi?id=1549656)

Comment 4 Dan Sneddon 2018-03-06 03:52:40 UTC
(In reply to Bob Fournier from comment #3)
> 2) Add a new conversion script that can convert the old style nic to new
> style and reference that in error message in #1

I think this already exists in the TripleO Heat Templates in the /tools/yaml-nic-config-2-script.py script that was introduced in OSP 11.

Comment 5 Bob Fournier 2018-03-08 12:33:33 UTC
Upstream patch - https://review.openstack.org/#/c/550201/, will need to be backported to Queens.

Comment 13 Alexander Chuzhoy 2018-04-20 17:21:37 UTC
Verified:

Environment:
openstack-tripleo-heat-templates-8.0.2-0.20180327213846.el7ost.noarch


The script is here:
/usr/share/openstack-tripleo-heat-templates/tools/yaml-nic-config-2-script.py


And it works.

Comment 15 errata-xmlrpc 2018-06-27 13:44:34 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHEA-2018:2086


Note You need to log in before you can comment on or make changes to this bug.